# framework::get-sdk-directory

Gets the SDK directory of the specified framework.

### Usage

`string framework::get-sdk-directory(framework)`

### Parameters

Name | Type | Description
--- | --- | ---
framework | string | The framework of which the SDK directory should be returned.

### Return Value

The SDK directory of the specified framework, or an empty String if the SDK of the specified framework is not installed.

### Exceptions

The function will fail in any of the following circumstances:

- framework is not a valid framework identifier.

### Requirements

Assembly: NAnt.Core (0.92.4543.0)

### See Also

framework::get-runtime-framework() | framework::get-target-framework()